org.apache.felix.fileinstall

## Interface ArtifactListener

All Known Subinterfaces:
  ArtifactInstaller, ArtifactTransformer, ArtifactUrlTransformer

    public interface ArtifactListener

Interface representing a custom deployment mechanism. Classes must implement one of its sub-interface, either `ArtifactTransformer` or `ArtifactInstaller`.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canHandle(File artifact)` Returns true if the listener can process the given artifact.

### Method Detail

#### canHandle

    boolean canHandle(File artifact)

Returns true if the listener can process the given artifact. Error occuring when checking the artifact should be catched and not be thrown.

Parameters:
  `artifact` - the artifact to check
Returns:
  `true` if this listener supports the given artifact, `false` otherwise